//来电弹屏

//来电时传输的数据
var Number = helper.request.queryString("Number");
var CallID = helper.request.queryString("CallID");

//测试数据
//var Number = "15235457499";
//var CallID = "148";

$(".tel").text(Number); //左侧头像下电话赋值
$("#t_mobile").val(Number); //手机号
$("#t_tel").val(Number); //右侧新建工单电话赋值
$(".ldtime").text(top.getNowFormatDate());
$(".thsc").text("00:00");
$("#zxdh_").val(Number);
$("#tsdh").val(Number);
$(".thsc").text("00:00");
//获取电话所属地
if(Number) {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetPhoneLocation', {
		"tel": Number,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".khgsd").text(result.data);
			$(".ldlocation").text(result.data);
		}
	})
}
//获取当前用户信息
$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetNowUser', {
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		console.log(result);
		if(result.data.role) {
			console.log(result.data);
			UserCode = result.data.user.F_UserCode;
		}
	}
})

var timestamp = Date.parse(new Date());

//$('.head-pic .lahei .la-before').show();
//$('.head-pic .lahei .la-after').hide();

function clearInter() {
	clearInterval(timer);
}

//通话中执行变化
var timer, n = 0;

function calling() {
	$(".td-call").show();
	n = 0;
	clearInterval(timer);
	timer = setInterval(function() {
		n++;
		var m = parseInt(n / 60 % 60);
		var s = parseInt(n % 60);
		//          var thsc=toDub(m) + ":" + toDub(s);
		$(".thsc").text(toDub(m) + ":" + toDub(s));
	}, 1000);

}

function toDub(i) {
	return i < 10 ? "0" + i : "" + i;
}

//点击挂断
$('.head-pic .td-call .take').click(function() {
	//      top.obj.Type = "DropCall";
	////    top.obj.Type = "TurnIvr";
	//      top.obj.AgentID = $.cookie("zx_user");
	//      top.obj.AgentExten = $.cookie("extno");
	//      top.obj.IvrName = "MYD";
	//      top.obj.IvrPos = "1";
	//     	top.Send();

	top.obj.Type = "DropCall";
	top.Send();

});

//点击拉黑事件				
$('.head-pic .lahei .la-before').click(function() {
	if(!Number) {
		layer.confirm('来电号码为空！', {
			btn: ['确定']
		});
		return;
	}
	$("#time-word").val('');
	$('.ldtp-con .hei-list').show();

})
//拉黑输入框事件
$('.hei-list .bacha').click(function() {
	$('.ldtp-con .hei-list').hide();
	$("#time-word").val('');

})
var reg = /^\+?[1-9][0-9]*$/;

$('#bc').click(function() {
	var n = $("#time-word").val();
	var val = $("input[name='time']:checked").val();
	if(n) {
		if(!(reg.test(n))) {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	} else {
		if(val == '4') {
			n = 0;
		} else {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	}
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddBlack', {
		tel: Number,
		num: n,
		type: val,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			layer.msg("拉入黑名单成功");
			$(".la-time .lhtime").text(top.getNowFormatDate());
			$('.la-shichang .blackTime').html(result.data);
			$('.ldtp-con .hei-list').hide();
			$('.head-pic .lahei .la-before').hide();
			$('.head-pic .lahei .la-after').show();
			$('.head-pic .lahei .retur').show();
		}
	})
})

$('.la-after').click(function() {
	if(!Number) {
		layer.confirm('来电号码为空！', {
			btn: ['确定']
		});
		return;
	}
	$("#time-word").val('');
	$('.ldtp-con .hei-list').show();
	$('.ldtp-con .hei-list').removeClass('bounceOutUp');
	$('.ldtp-con .hei-list').addClass('bounceIn');
})
$('.head-pic .lahei .retur').click(function() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/DelBlack', {
		tel: Number,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			layer.msg("取消黑名单成功");
			$('.head-pic .lahei .retur').hide();
			$('.head-pic .lahei .la-after').hide();
			$('.head-pic .lahei .la-before').show();
		}
	})
})

//创建咨询工单
$(".add_").click(function() {
	var tskh = $("#zxr_").val(); //咨询人：
	var tsdh = $("#zxdh_").val(); //咨询电话
	var cont = $("#zxnr_").val(); //咨询内容
	var clcont = $("#clnr_").val(); //内容
	var type = "1";
	if(!clcont) {
		layer.confirm('请输入处理内容！', {
			btn: ['确定']
		});
		return;
	}

	$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
		tskh: tskh,
		tsdh: tsdh,
		cont: cont,
		clcont: clcont,
		type: type,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			loadOld();
			$("#zxr_").val(''); //咨询人：
			$("#zxdh_").val(''); //咨询电话
			$("#zxnr_").val(''); //咨询内容
			$("#clnr_").val(''); //内容
			layer.msg("创建工单成功");
		}
	})
})

//新增工单
$(".addts").click(function() {
	var telreg = /^\d{3,12}$/;
//	if(!$.trim($('#t_name').val())) {
//		layer.confirm('请输入客户姓名！', {
//			icon: 2,
//			btn: ['确定']
//		});
//		return;
//	}
	if(!telreg.test($.trim($('#t_tel').val()))) {
		layer.confirm('请输入正确格式的电话！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
//	if(!$.trim($('#t_detail').val())) {
//		layer.confirm('请输入反映问题！', {
//			icon: 2,
//			btn: ['确定']
//		});
//		return;
//	}

	$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
		//file	//string	否	附件
		khid: $("#khid").val(), //int	否	客户id
		callid: CallID, //string	否
		source: 1, //string	是	工单来源
		customer: $('#t_name').val(), //string	是	客户姓名	
		custel: $('#t_tel').val(), //string	是	电话
		country: $('#t_county').val(), //string	否	乡镇或单位	
		address: $('#t_address').val(), //string	否	住址
		inqtime: $('#t_time').val(), //string	否	调查时间	
		inquser: $('#t_investigator').val(), //string	否	调查员
		/*clbm: $("#clbm").val(), //int	否	处理部门
		clid: $("#clid").val(), //int	否	处理人
		infotypeid: $("#t_infoCls").val(), //int	否	信息分类id，默认为0
		unitid: $("#t_unitid").val(), //int	否	交办单位id，默认为0*/
		
		clbm: $("#clbmname").val(), //string	否	处理部门
		clid: $("#clidname").val(), //string	否	处理人
		infotype: $("#t_infoCls").val(), //string	否	信息分类id，默认为0
		unit: $("#t_unitid").val(), //string	否	交办单位id，默认为0
		
		detail: $('#t_detail').val(), //string	是	反映问题
		answer: $('#t_answer').val(), //string	否	回访反馈情况	
		cont: $('#t_cont').val(), //string	否	问题处理情况
		remark: $('#t_remarks').val(), //string	否	备注
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			loadOld();
			cleanList();
			layer.msg("工单创建成功！");
		}
	})

})

//获取乡镇或单位下拉 后获取左侧客户信息
helper.getDropList.getlistDropByDic($('#t_countys'), 'JBDW')
	.then(function() {
		if(Number) {
			getCustomerByTel(Number); //获取左侧客户信息 和右侧新建工单信息
		}
	});

//获取左侧客户信息
function getCustomerByTel(tn) {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetCustomerByTel', {
		tel: tn,
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success"){
			var res = result.data;
			if(res) {
				$('.khmc').val(res.cusname); //姓名
				$("#khid").val(res.id); //客户id
			
				$("#t_tels").val(res.telphone); //电话
				$('#t_countys').val(res.countryid); //	int	否	乡镇或单位id 默认为0
				$("#t_addresss").val(res.address); //地址

				//右侧新增工单
				$('#t_name').val(res.cusname); //string	是	客户姓名	
				$('#t_county').val(res.countryid); //string	否	乡镇或单位	
				$('#t_address').val(res.address); //string	否	住址
			}
		}
	});
}

//左侧客户资料
$('.khzl tbody>tr>td input').attr('readonly', true);
$('.save').hide();
$('.cancel').hide();

$('.edit').click(function() {
	$('.save').show();
	$('.cancel').show();
	$('.edit').hide();
	$('.khzl tbody>tr>td input').attr('readonly', false);
	$('.khzl tbody>tr>td select').attr('disabled', false);
	$('.khzl tbody>tr>td input').css('border-bottom', "1px solid #b3b3b3");
})
$('.cancel').click(function() {
	$('.khzl tbody>tr>td input').attr('readonly', true);
	$('.khzl tbody>tr>td select').attr('disabled', true);
	$('.khzl tbody>tr>td input').css('border', "0");
	$('.save').hide();
	$('.cancel').hide();
	$('.edit').show();
})
//保存客户
$(".save").click(function() {
	var telreg = /^\d{0,12}$/;
	if(!$.trim($('.khmc').val())) {
		layer.confirm('请输入客户姓名！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	if($.trim($('#t_mobile').val())) {
		if(!telreg.test($.trim($('#t_mobile').val()))) {
			layer.confirm('请输入正确的手机号！', {
				icon: 2,
				btn: ['确定']
			});
			return;
		}
	}
	if($.trim($('#t_tels').val())) {
		if(!telreg.test($.trim($('#t_tels').val()))) {
			layer.confirm('请输入正确的电话！', {
				icon: 2,
				btn: ['确定']
			});
			return;
		}
	}

	$.post(huayi.config.callcenter_url + 'Customer/AddCustomer', {
		id: $("#khid").val(), //int	否	修改时不需要，默认为0
		cusname: $('.khmc').val(), //	string	是	姓名
		mobile: $('#t_mobile').val(), //	string	否	手机号
		telphone: $('#t_tels').val(), //	string	否	电话
		address: $('#t_addresss').val(), //	string	否	住址
		countryid: $('#t_countys').val(), //	int	否	乡镇或单位id 默认为0
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			//右侧新增工单
			$('#t_name').val($('.khmc').val()); //string	是	客户姓名	
			$('#t_county').val($('#t_countys').val()); //string	否	乡镇或单位	
			$('#t_address').val($('#t_addresss').val()); //string	否	住址
			//左侧
			layer.msg("保存成功");
			$('.khzl tbody>tr>td input').attr('readonly', true);
			$('.khzl tbody>tr>td select').attr('disabled', true);
			$('.khzl tbody>tr>td input').css('border', "0");
			$('.save').hide();
			$('.cancel').hide();
			$('.edit').show();
		}
	})
})

$(function() {
	//var nDtime = helper.DateFormat.getNowDate(); //当前时间
	autosize($('textarea'));
	laydate.render({
		elem: '#old_startTime',
		calendar: 'true',
		theme: '#1ab394'
	});

	laydate.render({
		elem: '#old_endTime',
		calendar: 'true',
		theme: '#1ab394'
	});
	laydate.render({
		elem: '#con_startTime',
		calendar: 'true',
		theme: '#1ab394'
	});

	laydate.render({
		elem: '#con_endTime',
		calendar: 'true',
		theme: '#1ab394'
	});
	laydate.render({
		elem: '#t_time',
		calendar: 'true',
		theme: '#1ab394',
		//value: nDtime,
		//type: 'datetime'
	});

	//获取历史记录
	loadOld();
	//获取知识库
	loadZSK();

	//知识库查询
	$(".searIcon").click(function() {
		loadZSK();
	})
	//历史记录查询
	$(".searchbtn").click(function() {
		loadOld();
	})
	//点击新增工单
	$(".addjl").click(function() {
		$('#t_investigator').val($.cookie("u_code"));//给调查员默认值；当前用户的账号
		var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
		if(type == '3') {
			$(".addgd").show();
			$(".tbold").hide();
		} else if(type == '1') {
			$(".zxbg").show();
			$(".tbold").hide();

		}
	})

	//弹屏右侧切换效果
	$(".ldtp-cr ul.ld-service li").click(function() {
		$(this).addClass("cr-click").siblings().removeClass("cr-click");
		loadOld();
	});
	$('.pre-add').click(function() {
		var par = $(this).parent().parent();
		par.hide().siblings().show();
	})
	helper.getDropList.getlistDropByDic($('#t_county'), 'JBDW'); //获取乡镇或单位下拉
/*	
 * //20180518byfanlongfei将处理部门、处理人、信息分类、交办单位修改为文本框； 
  	helper.getDropList.getlistDropByDic($('#t_unitid'), 'JBDW'); //获取交办单位下拉
	helper.getDropList.getlistDropByDic($('#t_infoCls'), 'XXFL'); //信息分类
	getBM($("#clbmtree"));

	//tree下拉框效果
	$(".inpBox .tree").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
	});
	//人员下拉效果
	$(".inpBox .select").click(function() {
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".xl").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".inpBox").mouseleave(function() {
		$(this).children(".xl_common").hide();
		$(this).children(".addTree").hide();
	});

	//删除
	$(".inpBox").hover(function(event) {
		$(this).children(".de_icon").show();
		event.stopPropagation();
	}, function() {
		$(this).children(".de_icon").hide();
	});
	$(".de_icon").click(function(event) {
		event.stopPropagation();
		$(this).siblings("input").eq(0).val("");
		$(this).siblings("input").eq(1).val("");

		if($(this).siblings("div").find("ul").attr("id") == "zrbmtree") {
			getRY($(".zrid"), $("#zrbm").val());
		}
		if($(this).siblings("div").find("ul").attr("id") == "clbmtree") {
			getRY($(".clid"), $("#clbm").val());
		}
	});*/

});
/*
 * //20180518byfanlongfei将处理部门、处理人、信息分类、交办单位修改为文本框； 
//获取部门
var setting = {
	data: {
		key: {
			name: "F_DeptName"
		},
		simpleData: {
			enable: true,
			idKey: "F_DeptId",
			pIdKey: "F_ParentId",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick
	}
};

function getBM(obj) {
	$.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$.fn.zTree.init(obj, setting, result.data);
		}
	})
}

function zTreeOnClick(event, treeId, treeNode) {
	if(event) {
		event.stopPropagation();
	}
	var obj = $("#" + event.data.treeId).parent();
	obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
	obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
	obj.hide();
	if(event.data.treeId == "zrbmtree") {
		getRY($(".zrid"), $("#zrbm").val());
	}
	if(event.data.treeId == "clbmtree") {
		getRY($(".clid"), $("#clbm").val());
	}
};
//获取人员
function getRY(obj, deptid) {
	obj.empty();
	obj.append('<li itemid="">请选择</li>');
	obj.parent().parent().find("input").eq(0).val("请选择");
	obj.parent().parent().find("input").eq(1).val("");
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
		"deptid": deptid,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '</li>');
			})

			obj.find("li").click(function(event) {
				if(event) {
					event.stopPropagation();
				}
				$(this).parent().parent().parent().find("input").eq(0).val($(this).text());
				$(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
				$(this).parent().parent().hide();
			});
		}
	})
}
*/
//清空表单
function cleanList() {
	$('.addgd .form-control').val('');
	$('.addgd input[readonly]').val('');
}

//获取知识库
function loadZSK() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetZSKList', {
		"keywords": $(".search").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".ldcr-bottom .detail-con ul").empty();
			$(result.data).each(function(i, n) {
				var html = '<li>' +
					'   <div class="zhishi-title clearfix">' +
					'	    <a href="javascript:void(0);" >' + n.F_Title + '</a>' +
					'	    <em >' + n.F_CreateOn + '</em>' +
					'   </div>' +
					'   <div class="explancon">' +
					n.F_Content +
					'   </div>' +
					'</li>';
				$(html).appendTo($(".ldcr-bottom .detail-con ul")).find(".zhishi-title").click(function(event) {
					event.stopPropagation();
					if($(this).hasClass("active")) {
						$(this).removeClass("active")
					} else {
						$(".zhishi-title").removeClass("active");
						$(this).addClass("active");
					}
				})
			})
		}
	})

}

//获取历史记录
function loadOld() {
	$(".addgd").hide();
	$(".tbold").show();
	$(".zxbg").hide();
	var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
	if(type != '0') {
		$(".complain").hide();
		$(".complain").eq(1).show();
		//先销毁表格
		$('#orderlist').bootstrapTable('destroy');
		//初始化表格,动态从服务器加载数据
		$("#orderlist").bootstrapTable({
			method: "get", //使用get请求到服务器获取数据
			url: huayi.config.callcenter_url + "WorkOrder/GetList", //获取数据的Servlet地址
			striped: true, //表格显示条纹
			pagination: true, //启动分页
			pageSize: 5, //每页显示的记录数
			pageNumber: 1, //当前第几页
			pageList: [5, 10, 50, 100], //记录数可选列表
			contentType: 'application/x-www-form-urlencoded',
			search: false, //是否启用查询
			showColumns: false, //显示下拉框勾选要显示的列
			showRefresh: false, //显示刷新按钮
			sidePagination: "server", //表示服务端请求
			//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
			//设置为limit可以获取limit, offset, search, sort, order
			queryParamsType: "undefined",
			queryParams: function queryParams(params) { //设置查询参数
				var param = {
					page: params.pageNumber,
					pagesize: params.pageSize,
					tel: Number,
					type: type,
					starttime: $("#con_startTime").val(),
					endtime: $("#con_endTime").val(),
					token: $.cookie("token")
				};
				return param;
			},
			onLoadSuccess: function() { //加载成功时执行
				//layer.msg("加载成功");
			},
			onLoadError: function() { //加载失败时执行
				//layer.msg("加载数据失败", { time: 1500, icon: 2 });
			}
		});
	} else {
		$(".complain").hide();
		$(".complain").eq(0).show();
		//先销毁表格
		$('#oldlist').bootstrapTable('destroy');
		//初始化表格,动态从服务器加载数据
		$("#oldlist").bootstrapTable({
			method: "get", //使用get请求到服务器获取数据
			url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
			striped: true, //表格显示条纹
			pagination: true, //启动分页
			pageSize: 5, //每页显示的记录数
			pageNumber: 1, //当前第几页
			pageList: [5, 10, 50, 100], //记录数可选列表
			contentType: 'application/x-www-form-urlencoded',
			search: false, //是否启用查询
			showColumns: false, //显示下拉框勾选要显示的列
			showRefresh: false, //显示刷新按钮
			sidePagination: "server", //表示服务端请求
			//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
			//设置为limit可以获取limit, offset, search, sort, order
			queryParamsType: "undefined",
			queryParams: function queryParams(params) { //设置查询参数
				var param = {
					page: params.pageNumber,
					pagesize: params.pageSize,
					tel: Number,
					starttime: $("#old_startTime").val(),
					endtime: $("#old_endTime").val(),
					token: $.cookie("token")
				};
				return param;
			},
			onLoadSuccess: function() { //加载成功时执行
				//layer.msg("加载成功");
			},
			onLoadError: function() { //加载失败时执行
				//layer.msg("加载数据失败", { time: 1500, icon: 2 });
			}
		});
	}
}
//格式化呼叫状态
function GetCallState(val) {
	if(val == '1') {
		return '已接通';
	} else {
		return '未接通';
	}
}

//音频
function setCode(val) {
	if(val) {
		return '<div class="imgs" style="cursor: pointer;">' +
			'<img src="../img/vice.png" alt="" onclick= ck(this) item="' + val + '" />' +
			'</div>';
	} else {
		return '';
	}
}
//录音
function ck(val) {
	var path = $(val).attr("item");
	$(".t-shade").addClass("cx");
	$(".Ly_box").empty();
	$(".down").attr("href", path);
	$('<audio style="width: 100%;"class=" " src="' + path + '" loop="loop" controls="controls" ></audio>').appendTo(".Ly_box");
}
//关闭录音弹出
$(".setwin").click(function() {
	$(".t-shade").removeClass("cx");
	$('audio')[0].pause();
});

//格式化处理状态
function GetDealState(val) {
	if(val == '1') {
		return '已处理';
	} else {
		return '未处理';
	}
}
//格式化工单状态
function GetStateName(val) {
	var str = '';
	switch(val + '') {
		case '0':
			str = "待指派";
			break;
		case '1':
			str = "处理中";
			break;
		case '2':
			str = "已完结";
			break;
	}
	return str;
}

//截取字符串
function GetCont(val) {
	if(val) {
		var str = '<div '
		if(val.length > 10) {
			str = str + ' title="' + val + '" ';
			val = val.substr(0, 10) + "...";
		}
		return str + '>' + val + '</div>';
	} else {
		return '';
	}
}